Subject: Re: bug#32430: 26; Elisp manual: Please consider indexing each char class

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 13 Jul 2019 04:56:25 +0200

Drew Adams <[email-masked]> writes:

> I wanted to go to the Elisp manual section that specifies char-class
> [:blank:].  I tried `i blank', even with substring matching.  Not
> recalling that such critters are called "character classes" I just used
> `i regexp' (with substring matching) to find entry "character classes in
> regexp".
>
> So not a big problem (assuming you have substring matching).  But I
> think it would be helpful to add entries such as these (which don't
> require substring matching):
>
> ascii character class, regexp
> alnum character class, regexp
> alpha character class, regexp
> blank character class, regexp

Makes sense.  I've now added some of the more interesting classes, but
not the entire list of classes.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no